# Copyright (C) 2026 BoundWare LLC. All rights reserved.
# SnacTrac is licensed under the Apache License, Version 2.0
# See Licenses/LICENSE.txt for details.


import sqlite3


# Check if credentials are valid.
def authenticate_user(username, password):

    conn = sqlite3.connect("Data/Database.db")

    cur = conn.cursor()

    cur.execute(
        """
        SELECT * FROM Users 
        WHERE Username = ? AND Password = ?
        """,
        (username, password),
    )

    user = cur.fetchone()

    cur.close()

    conn.close()

    return user is not None
